<?php

class liteMan{
	private $conn;
	
	public function __construct(){	
		$this->conn = sqlite_open('./kolekcja.sqlite');
	}
	
	public function query($sql){
		$odp = sqlite_query($this->conn, $sql) or die('Nie udalo sie wykonac: '+$sql);
		return sqlite_fetch_array($odp, SQLITE_ASSOC);
	}
	
	public function dodajAlbum($tytul, $wykonawca, $data_wydania){
		$sql = "INSERT INTO albumy VALUES 
		(NULL, '$tytul', '$wykonawca', '$data_wydania');
		";
		$this->query($sql);
		
		$sql = "SELECT album_id FROM albumy 
		WHERE tytul='$tytul' AND wykonawca='$wykonawca' AND data_wydania='$data_wydania';
		";
		$id = $this->query($sql);
		return $id['album_id'];
	}
	
	public function dodajUtwor($album_id, $lp, $tytul, $czas){
		$sql = "INSERT INTO utwory VALUES 
		(NULL, $album_id, '$lp', '$tytul', '$czas');
		";
		$this->query($sql);
	}
	
	public function login($login, $pass){
		$sql = "SELECT user_id FROM users 
		WHERE login='$login' AND pass='$pass';
		";
		$user_id = $this->query($sql);
		$user_id = $user_id['user_id'];
		
		if(!($user_id > 0)){
			die("");
		}
		
		$qstring = md5(date('Y-m-d.H:i:s'));
		$sql = "UPDATE users SET qstring='$qstring' WHERE user_id=$user_id;";
		$this->query($sql);
		return $login.";".$qstring;
	}
	
	public function zalogowany($login, $qstring){
		$sql = "SELECT user_id FROM users
		WHERE login='$login' AND qstring='$qstring';
		";
		$id = $this->query($sql);
		if($id['user_id'] > 0){
			return true;
		}else{
			return false;
		}
	}
	
	public function pobierzAlbumy(){
		$sql = "SELECT * FROM albumy ORDER BY album_id DESC LIMIT 10;";
		$odp1 = sqlite_query($this->conn, $sql) or die("Nie udalo sie: ".$sql);
		$i=0;
		while($row = sqlite_fetch_array($odp1, SQLITE_ASSOC)){
			$albumy[$i][0] = $row['album_id'];
			$albumy[$i][1] = $row['wykonawca'].' - '.$row['tytul'];
			$i++;
		}
		return $albumy;
	}
	
	public function pobierzWszystkieAlbumy(){
		$sql = "SELECT * FROM albumy;";
		$odp1 = sqlite_query($this->conn, $sql) or die("Nie udalo sie: ".$sql);
		$i=0;
		while($row = sqlite_fetch_array($odp1, SQLITE_ASSOC)){
			$albumy[$i][0] = $row['album_id'];
			$albumy[$i][1] = $row['wykonawca'].' - '.$row['tytul'];
			$i++;
		}
		return $albumy;
	}
	
	public function pobierzAlbum($album_id){
		$sql = "SELECT * FROM albumy WHERE album_id=$album_id";
		$album = $this->query($sql);		
		return $album;
	}
	
	public function pobierzUtwory($album_id){
		$sql = "SELECT * FROM utwory WHERE album_id=$album_id;";
		$odp1 = sqlite_query($this->conn, $sql) or die("Nie udalo sie: ".$sql);
		$i=0;
		while($row = sqlite_fetch_array($odp1, SQLITE_ASSOC)){
			$utwory[$i]['utwor_id'] = $row['utwor_id'];
			$utwory[$i]['album_id'] = $row['album_id'];
			$utwory[$i]['lp'] = $row['lp'];
			$utwory[$i]['utwor'] = $row['utwor'];
			$utwory[$i]['czas'] = $row['czas'];
			$i++;
		}
		return $utwory;
	}
	
	public function usunAlbumUtwory($album_id){
		$sql = "DELETE FROM albumy WHERE album_id=$album_id;";
		$this->query($sql);
		$sql = "DELETE FROM utwory WHERE album_id=$album_id;";
		$this->query($sql);
	}
	
	function usunUtwor($utwor_id){
		$sql = "DELETE FROM utwory WHERE utwor_id=$utwor_id;";
		$this->query($sql);
	}
	
	public function aktualizujAlbumTytul($album_id, $tytul){
		$sql = "UPDATE albumy SET tytul='$tytul' WHERE album_id=$album_id;";
		$this->query($sql);
	}
	
	public function aktualizujAlbumWykonawca($album_id, $wykonawca){
		$sql = "UPDATE albumy SET wykonawca='$wykonawca' WHERE album_id=$album_id;";
		$this->query($sql);
	}
	
	public function aktualizujAlbumDatawydania($album_id, $data_wydania){
		$sql = "UPDATE albumy SET data_wydania='$data_wydania' WHERE album_id=$album_id;";
		$this->query($sql);
	}
	
	public function aktualizujUtworyLp($utwor_id, $lp){
		$sql = "UPDATE utwory SET lp='$lp' WHERE utwor_id=$utwor_id;";
		$this->query($sql);
	}
	
	public function aktualizujUtworyUtwor($utwor_id, $utwor){
		$sql = "UPDATE utwory SET utwor='$utwor' WHERE utwor_id=$utwor_id;";
		$this->query($sql);
	}
	
	public function aktualizujUtworyCzas($utwor_id, $czas){
		$sql = "UPDATE utwory SET czas='$czas' WHERE utwor_id=$utwor_id;";
		$this->query($sql);
	}
	
	public function wyszukajAlbumy($search){
		$sql = "SELECT * FROM albumy WHERE tytul LIKE \"%".$search."%\" OR wykonawca LIKE \"%".$search."%\";";
		//$sql = "SELECT * FROM albumy WHERE tytul LIKE '%$search%' OR wykonawca LIKE '%$search%';";
		$odp = sqlite_query($this->conn, $sql);
		$i=0;
		while($row = sqlite_fetch_array($odp, SQLITE_ASSOC)){
			$albumy[$i][0] = $row['album_id'];
			$albumy[$i][1] = $row['wykonawca'].' - '.$row['tytul'];
			$i++;
			//echo $row['album_id'].' '.$row['tytul'].' '.$row['wykonawca'].' '.$row['data_wydania']."<br/>";
		}
		if(sizeof($albumy) < 1){
			$albumy[0][0] = "brak_id";
			$albumy[0][1] = "brak wynikow wyszukiwania";
		}
		return $albumy;
	}
	
	function dodajNowyAlbum(){
		$sql = "INSERT INTO albumy VALUES 
		(NULL, 'tytul albumu', 'wykonawca albumu', 'data wydania albumu');";
		$this->query($sql);
		$sql = "SELECT album_id FROM albumy ORDER BY album_id DESC LIMIT 1;";
		$id = $this->query($sql);
		$id = $id['album_id'];
		return $id;
	}
	
	function dodajNowyUtwor($album_id){
		$sql = "INSERT INTO utwory VALUES
		(NULL, $album_id, 'x.', 'tytul utworu', 'x:xx');";
		$this->query($sql);
	}
	
	function pobierzIloscAlbumow(){
		$sql = "SELECT COUNT(*) FROM albumy;";
		$ile = $this->query($sql);
		$ile = $ile['COUNT(*)'];
		return $ile;
	}
}

?>